#
# spec file for package rubygem-activesupport-4_1
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activesupport-4_1
Version:        4.1.16
Release:        1.1
%define mod_name activesupport
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -4_1
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://www.rubyonrails.org
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A toolkit of support libraries and Ruby core extensions extracted
License:        MIT
Group:          Development/Languages/Ruby

%description
A toolkit of support libraries and Ruby core extensions extracted from the
Rails framework. Rich support for multibyte strings, internationalization,
time zones, and testing.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Wed Jul 13 2016 coolo@suse.com
- updated to version 4.1.16
  see installed CHANGELOG.md
  [#]# Rails 4.1.16 (July 12, 2016) ##
  * No changes.
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.1.15
  see installed CHANGELOG.md
  [#]# Rails 4.1.15 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.1.14.2
  see installed CHANGELOG.md
  [#]# Rails 4.1.14.2 (February 26, 2016) ##
  * No changes.
  [#]# Rails 4.1.14.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.1.14.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.1.14
  see installed CHANGELOG.md
  [#]# Rails 4.1.14 (November 12, 2015) ##
  * No changes.
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.1.13
  see installed CHANGELOG.md
  [#]# Rails 4.1.13 (August 24, 2015) ##
  * No changes.
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.1.12
  see installed CHANGELOG.md
  [#]# Rails 4.1.12 (June 25, 2015) ##
  * No changes.
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.1.11
  see installed CHANGELOG.md
  [#]# Rails 4.1.11 (June 16, 2015) ##
  * Fix XSS vulnerability in `ActiveSupport::JSON.encode` method.
    CVE-2015-3226.
  * Rafael Mendonça França*
  * Fix denial of service vulnerability in the XML processing.
    CVE-2015-3227.
  * Aaron Patterson*
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.1.10
  * Fixed a roundtrip problem with AS::SafeBuffer where primitive-like strings
    will be dumped as primitives:
    Before:
    YAML.load ActiveSupport::SafeBuffer.new("Hello").to_yaml  # => "Hello"
    YAML.load ActiveSupport::SafeBuffer.new("true").to_yaml   # => true
    YAML.load ActiveSupport::SafeBuffer.new("false").to_yaml  # => false
    YAML.load ActiveSupport::SafeBuffer.new("1").to_yaml      # => 1
    YAML.load ActiveSupport::SafeBuffer.new("1.1").to_yaml    # => 1.1
    After:
    YAML.load ActiveSupport::SafeBuffer.new("Hello").to_yaml  # => "Hello"
    YAML.load ActiveSupport::SafeBuffer.new("true").to_yaml   # => "true"
    YAML.load ActiveSupport::SafeBuffer.new("false").to_yaml  # => "false"
    YAML.load ActiveSupport::SafeBuffer.new("1").to_yaml      # => "1"
    YAML.load ActiveSupport::SafeBuffer.new("1.1").to_yaml    # => "1.1"
  * Godfrey Chan*
  * Replace fixed `:en` with `I18n.default_locale` in `Duration#inspect`.
  * Dominik Masur*
  * Add missing time zone definitions for Russian Federation and sync them
    with `zone.tab` file from tzdata version 2014j (latest).
  * Andrey Novikov*
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * `Method` objects now report themselves as not `duplicable?`. This allows
  hashes and arrays containing `Method` objects to be `deep_dup`ed.
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Tue Oct 14 2014 coolo@suse.com
- updated to version 4.1.6
  * Fix DateTime comparison with DateTime::Infinity object.
  * Fixed a compatibility issue with the `Oj` gem when cherry-picking the file
    `active_support/core_ext/object/json` without requiring `active_support/json`.
    Fixes #16131.
  * Make Dependencies pass a name to NameError error.
  * Fixed precision error in NumberHelper when using Rationals.
    before:
    ActiveSupport::NumberHelper.number_to_rounded Rational(1000, 3), precision: 2
    [#]=> "330.00"
    after:
    ActiveSupport::NumberHelper.number_to_rounded Rational(1000, 3), precision: 2
    [#]=> "333.33"
    See #15379.
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
